blob: 1f5e4535573143aba88bb24e4dd823af071ee82d [file] [log] [blame]
Linus Torvalds1da177e2005-04-16 15:20:36 -07001# ===========================================================================
2# Kernel configuration targets
3# These targets are used from top-level makefile
4
Michal Marek1cba0c32015-04-08 11:11:57 +02005PHONY += xconfig gconfig menuconfig config silentoldconfig update-po-config \
Steven Rostedt281c9da2009-04-29 22:52:23 -04006 localmodconfig localyesconfig
Linus Torvalds1da177e2005-04-16 15:20:36 -07007
Al Viro61bee202008-08-25 04:51:27 -04008ifdef KBUILD_KCONFIG
9Kconfig := $(KBUILD_KCONFIG)
10else
Arnaud Lacombe838a2e52010-09-04 17:10:20 -040011Kconfig := Kconfig
Al Viro61bee202008-08-25 04:51:27 -040012endif
Sam Ravnborge703f752007-10-25 20:42:18 +020013
Yann E. MORINc2838e62012-11-22 01:06:04 +010014# We need this, in case the user has it in its environment
15unexport CONFIG_
16
Linus Torvalds1da177e2005-04-16 15:20:36 -070017xconfig: $(obj)/qconf
Sam Ravnborge703f752007-10-25 20:42:18 +020018 $< $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070019
20gconfig: $(obj)/gconf
Sam Ravnborge703f752007-10-25 20:42:18 +020021 $< $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070022
23menuconfig: $(obj)/mconf
Sam Ravnborge703f752007-10-25 20:42:18 +020024 $< $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070025
26config: $(obj)/conf
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020027 $< --oldaskconfig $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070028
nir.tzachar@gmail.com692d97c2009-11-25 12:28:43 +020029nconfig: $(obj)/nconf
30 $< $(Kconfig)
31
Linus Torvalds1da177e2005-04-16 15:20:36 -070032silentoldconfig: $(obj)/conf
Masahiro Yamada98155942014-05-29 14:33:03 +090033 $(Q)mkdir -p include/config include/generated
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020034 $< --$@ $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070035
Arnaud Lacombe50bce3e2011-07-01 18:13:03 -040036localyesconfig localmodconfig: $(obj)/streamline_config.pl $(obj)/conf
Masahiro Yamada98155942014-05-29 14:33:03 +090037 $(Q)mkdir -p include/config include/generated
Arnaud Lacombe22d550a2011-07-20 00:40:09 -040038 $(Q)perl $< --$@ $(srctree) $(Kconfig) > .tmp.config
Michal Marek7a996d32010-08-04 14:05:07 +020039 $(Q)if [ -f .config ]; then \
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020040 cmp -s .tmp.config .config || \
41 (mv -f .config .config.old.1; \
42 mv -f .tmp.config .config; \
43 $(obj)/conf --silentoldconfig $(Kconfig); \
44 mv -f .config.old.1 .config.old) \
45 else \
46 mv -f .tmp.config .config; \
47 $(obj)/conf --silentoldconfig $(Kconfig); \
Steven Rostedta7c02602009-05-07 11:09:55 -040048 fi
Steven Rostedt03fa25d2009-04-29 22:52:22 -040049 $(Q)rm -f .tmp.config
50
EGRY Gabor10200262008-01-11 23:40:00 +010051# Create new linux.pot file
Sam Ravnborgb70e325c2007-06-10 20:38:27 +020052# Adjust charset to UTF-8 in .po file to accept UTF-8 in Kconfig files
EGRY Gabor46d26312008-01-11 23:46:11 +010053update-po-config: $(obj)/kxgettext $(obj)/gconf.glade.h
Peter Foleye2aef4d2011-12-18 18:15:16 -050054 $(Q)echo " GEN config.pot"
Peter Foleya24a1b82011-04-26 18:13:05 -040055 $(Q)xgettext --default-domain=linux \
56 --add-comments --keyword=_ --keyword=N_ \
57 --from-code=UTF-8 \
58 --files-from=$(srctree)/scripts/kconfig/POTFILES.in \
59 --directory=$(srctree) --directory=$(objtree) \
Sam Ravnborgb70e325c2007-06-10 20:38:27 +020060 --output $(obj)/config.pot
61 $(Q)sed -i s/CHARSET/UTF-8/ $(obj)/config.pot
Paul Bollefa0ad652011-11-05 12:21:30 +010062 $(Q)(for i in `ls $(srctree)/arch/*/Kconfig \
63 $(srctree)/arch/*/um/Kconfig`; \
EGRY Gabor10200262008-01-11 23:40:00 +010064 do \
Peter Foleye2aef4d2011-12-18 18:15:16 -050065 echo " GEN $$i"; \
Sam Ravnborg42175162008-04-25 21:15:41 +020066 $(obj)/kxgettext $$i \
EGRY Gabor10200262008-01-11 23:40:00 +010067 >> $(obj)/config.pot; \
68 done )
Peter Foleye2aef4d2011-12-18 18:15:16 -050069 $(Q)echo " GEN linux.pot"
EGRY Gabor10200262008-01-11 23:40:00 +010070 $(Q)msguniq --sort-by-file --to-code=UTF-8 $(obj)/config.pot \
Sam Ravnborgb70e325c2007-06-10 20:38:27 +020071 --output $(obj)/linux.pot
Sam Ravnborgb70e325c2007-06-10 20:38:27 +020072 $(Q)rm -f $(obj)/config.pot
Arnaldo Carvalho de Melo3b9fa092005-05-05 15:09:46 -070073
Michal Marek1cba0c32015-04-08 11:11:57 +020074# These targets map 1:1 to the commandline options of 'conf'
75simple-targets := oldconfig allnoconfig allyesconfig allmodconfig \
76 alldefconfig randconfig listnewconfig olddefconfig
77PHONY += $(simple-targets)
Linus Torvalds1da177e2005-04-16 15:20:36 -070078
Michal Marek1cba0c32015-04-08 11:11:57 +020079$(simple-targets): $(obj)/conf
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020080 $< --$@ $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070081
Michal Marek1cba0c32015-04-08 11:11:57 +020082PHONY += oldnoconfig savedefconfig defconfig
Linus Torvalds1da177e2005-04-16 15:20:36 -070083
Adam Leefb16d892012-09-01 01:05:17 +080084# oldnoconfig is an alias of olddefconfig, because people already are dependent
85# on its behavior(sets new symbols to their default value but not 'n') with the
86# counter-intuitive name.
Michal Marek1cba0c32015-04-08 11:11:57 +020087oldnoconfig: olddefconfig
Adam Leefb16d892012-09-01 01:05:17 +080088
Sam Ravnborg7cf3d732010-07-31 23:35:34 +020089savedefconfig: $(obj)/conf
90 $< --$@=defconfig $(Kconfig)
91
Linus Torvalds1da177e2005-04-16 15:20:36 -070092defconfig: $(obj)/conf
93ifeq ($(KBUILD_DEFCONFIG),)
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020094 $< --defconfig $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070095else
Sam Ravnborg2266cfd2007-10-25 20:31:19 +020096 @echo "*** Default configuration is based on '$(KBUILD_DEFCONFIG)'"
Sam Ravnborg4062f1a2010-07-31 23:35:26 +020097 $(Q)$< --defconfig=arch/$(SRCARCH)/configs/$(KBUILD_DEFCONFIG) $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -070098endif
99
100%_defconfig: $(obj)/conf
Sam Ravnborg4062f1a2010-07-31 23:35:26 +0200101 $(Q)$< --defconfig=arch/$(SRCARCH)/configs/$@ $(Kconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -0700102
Masahiro Yamada63a91032015-03-13 15:21:43 +0900103configfiles=$(wildcard $(srctree)/kernel/configs/$@ $(srctree)/arch/$(SRCARCH)/configs/$@)
Josh Triplett3aaefce2014-08-06 15:21:00 -0700104
Masahiro Yamada63a91032015-03-13 15:21:43 +0900105%.config: $(obj)/conf
106 $(if $(call configfiles),, $(error No configuration exists for this target on this architecture))
107 $(Q)$(CONFIG_SHELL) $(srctree)/scripts/kconfig/merge_config.sh -m .config $(configfiles)
108 +$(Q)yes "" | $(MAKE) -f $(srctree)/Makefile oldconfig
Josh Triplett3aaefce2014-08-06 15:21:00 -0700109
110PHONY += kvmconfig
Masahiro Yamada63a91032015-03-13 15:21:43 +0900111kvmconfig: kvm_guest.config
112 @:
Josh Triplett3aaefce2014-08-06 15:21:00 -0700113
Josh Triplett0da1d4a2014-08-08 16:25:47 -0700114PHONY += tinyconfig
Masahiro Yamada63a91032015-03-13 15:21:43 +0900115tinyconfig:
116 $(Q)$(MAKE) -f $(srctree)/Makefile allnoconfig tiny.config
Josh Triplett0da1d4a2014-08-08 16:25:47 -0700117
Linus Torvalds1da177e2005-04-16 15:20:36 -0700118# Help text used by make help
119help:
120 @echo ' config - Update current config utilising a line-oriented program'
nir.tzachar@gmail.com692d97c2009-11-25 12:28:43 +0200121 @echo ' nconfig - Update current config utilising a ncurses menu based program'
Linus Torvalds1da177e2005-04-16 15:20:36 -0700122 @echo ' menuconfig - Update current config utilising a menu based program'
123 @echo ' xconfig - Update current config utilising a QT based front-end'
124 @echo ' gconfig - Update current config utilising a GTK based front-end'
125 @echo ' oldconfig - Update current config utilising a provided .config as base'
Steven Rostedt03fa25d2009-04-29 22:52:22 -0400126 @echo ' localmodconfig - Update current config disabling modules not loaded'
Steven Rostedt281c9da2009-04-29 22:52:23 -0400127 @echo ' localyesconfig - Update current config converting local mods to core'
Markus Heidelberg590a5852009-05-18 01:36:46 +0200128 @echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
Sam Ravnborg0748cb32010-07-31 23:35:31 +0200129 @echo ' defconfig - New config with default from ARCH supplied defconfig'
Sam Ravnborg7cf3d732010-07-31 23:35:34 +0200130 @echo ' savedefconfig - Save current config as ./defconfig (minimal config)'
Jesper Juhle11f0492006-02-25 21:52:50 +0100131 @echo ' allnoconfig - New config where all options are answered with no'
Sam Ravnborg0748cb32010-07-31 23:35:31 +0200132 @echo ' allyesconfig - New config where all options are accepted with yes'
133 @echo ' allmodconfig - New config selecting modules when possible'
134 @echo ' alldefconfig - New config with all symbols set to default'
135 @echo ' randconfig - New config with random answer to all options'
Sam Ravnborg861b4ea2010-07-31 23:35:28 +0200136 @echo ' listnewconfig - List new options'
Adam Leefb16d892012-09-01 01:05:17 +0800137 @echo ' olddefconfig - Same as silentoldconfig but sets new symbols to their default value'
Josh Triplett3aaefce2014-08-06 15:21:00 -0700138 @echo ' kvmconfig - Enable additional options for guest kernel support'
Josh Triplett0da1d4a2014-08-08 16:25:47 -0700139 @echo ' tinyconfig - Configure the tiniest possible kernel'
Linus Torvalds1da177e2005-04-16 15:20:36 -0700140
Sam Ravnborg2982de62006-07-27 22:10:27 +0200141# lxdialog stuff
142check-lxdialog := $(srctree)/$(src)/lxdialog/check-lxdialog.sh
143
Rob Landleye9e40e12007-10-15 19:23:12 -0500144# Use recursively expanded variables so we do not call gcc unless
Sam Ravnborg2982de62006-07-27 22:10:27 +0200145# we really need to do so. (Do not call gcc as part of make mrproper)
Arnaud Lacombe9ba95682010-08-22 20:03:06 -0400146HOST_EXTRACFLAGS += $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags) \
147 -DLOCALE
Sam Ravnborg2982de62006-07-27 22:10:27 +0200148
Linus Torvalds1da177e2005-04-16 15:20:36 -0700149# ===========================================================================
150# Shared Makefile for the various kconfig executables:
151# conf: Used for defconfig, oldconfig and related targets
nir.tzachar@gmail.com692d97c2009-11-25 12:28:43 +0200152# nconf: Used for the nconfig target.
153# Utilizes ncurses
Markus Heidelberg6f26e5e2009-05-18 01:36:45 +0200154# mconf: Used for the menuconfig target
Linus Torvalds1da177e2005-04-16 15:20:36 -0700155# Utilizes the lxdialog package
156# qconf: Used for the xconfig target
157# Based on QT which needs to be installed to compile it
158# gconf: Used for the gconfig target
159# Based on GTK which needs to be installed to compile it
160# object files used by all kconfig flavours
161
Sam Ravnborg2982de62006-07-27 22:10:27 +0200162lxdialog := lxdialog/checklist.o lxdialog/util.o lxdialog/inputbox.o
163lxdialog += lxdialog/textbox.o lxdialog/yesno.o lxdialog/menubox.o
164
Linus Torvalds1da177e2005-04-16 15:20:36 -0700165conf-objs := conf.o zconf.tab.o
nir.tzachar@gmail.com692d97c2009-11-25 12:28:43 +0200166mconf-objs := mconf.o zconf.tab.o $(lxdialog)
167nconf-objs := nconf.o zconf.tab.o nconf.gui.o
Arnaldo Carvalho de Melo3b9fa092005-05-05 15:09:46 -0700168kxgettext-objs := kxgettext.o zconf.tab.o
Peter Foleyf1943042011-04-26 18:00:05 -0400169qconf-cxxobjs := qconf.o
Arnaud Lacombe5a6f8d22011-06-01 16:14:47 -0400170qconf-objs := zconf.tab.o
171gconf-objs := gconf.o zconf.tab.o
Linus Torvalds1da177e2005-04-16 15:20:36 -0700172
Masahiro Yamada022af622014-08-19 16:34:22 +0900173hostprogs-y := conf nconf mconf kxgettext qconf gconf
Linus Torvalds1da177e2005-04-16 15:20:36 -0700174
Arnaud Lacombe5a6f8d22011-06-01 16:14:47 -0400175clean-files := qconf.moc .tmp_qtcheck .tmp_gtkcheck
Arnaud Lacombe2f76b352011-05-23 01:08:19 -0400176clean-files += zconf.tab.c zconf.lex.c zconf.hash.c gconf.glade.h
EGRY Gabor10200262008-01-11 23:40:00 +0100177clean-files += config.pot linux.pot
Linus Torvalds1da177e2005-04-16 15:20:36 -0700178
Sam Ravnborg6e588f62007-12-09 20:11:15 +0100179# Check that we have the required ncurses stuff installed for lxdialog (menuconfig)
180PHONY += $(obj)/dochecklxdialog
181$(addprefix $(obj)/,$(lxdialog)): $(obj)/dochecklxdialog
182$(obj)/dochecklxdialog:
Arnaud Lacombe7080e472010-08-16 00:19:04 -0400183 $(Q)$(CONFIG_SHELL) $(check-lxdialog) -check $(HOSTCC) $(HOST_EXTRACFLAGS) $(HOSTLOADLIBES_mconf)
Sam Ravnborg6e588f62007-12-09 20:11:15 +0100184
185always := dochecklxdialog
186
Sam Ravnborgaa1e5ef2007-08-12 23:15:44 +0200187# Add environment specific flags
188HOST_EXTRACFLAGS += $(shell $(CONFIG_SHELL) $(srctree)/$(src)/check.sh $(HOSTCC) $(HOSTCFLAGS))
Yuri Vasilevski70a6a0c2005-10-30 15:03:20 -0800189
Linus Torvalds1da177e2005-04-16 15:20:36 -0700190# generated files seem to need this to find local include files
Arnaud Lacombe2f76b352011-05-23 01:08:19 -0400191HOSTCFLAGS_zconf.lex.o := -I$(src)
Linus Torvalds1da177e2005-04-16 15:20:36 -0700192HOSTCFLAGS_zconf.tab.o := -I$(src)
193
Arnaud Lacombe378dbb22011-05-23 02:08:52 -0400194LEX_PREFIX_zconf := zconf
195YACC_PREFIX_zconf := zconf
196
Arnaud Lacombe5a6f8d22011-06-01 16:14:47 -0400197HOSTLOADLIBES_qconf = $(KC_QT_LIBS)
198HOSTCXXFLAGS_qconf.o = $(KC_QT_CFLAGS)
Linus Torvalds1da177e2005-04-16 15:20:36 -0700199
Arnaud Lacombe5a6f8d22011-06-01 16:14:47 -0400200HOSTLOADLIBES_gconf = `pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0`
Adrian Bunk37193142006-01-02 11:25:30 +0100201HOSTCFLAGS_gconf.o = `pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` \
Arnaud Lacombe1ea3ad42011-06-05 23:36:05 -0400202 -Wno-missing-prototypes
Linus Torvalds1da177e2005-04-16 15:20:36 -0700203
Arnaud Lacombe7080e472010-08-16 00:19:04 -0400204HOSTLOADLIBES_mconf = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))
205
Justin Lecher544e7e52013-03-06 14:02:02 +0100206HOSTLOADLIBES_nconf = $(shell \
Brian Norris72859962014-06-04 00:52:31 -0700207 pkg-config --libs menuw panelw ncursesw 2>/dev/null \
208 || pkg-config --libs menu panel ncurses 2>/dev/null \
Justin Lecher544e7e52013-03-06 14:02:02 +0100209 || echo "-lmenu -lpanel -lncurses" )
Linus Torvalds1da177e2005-04-16 15:20:36 -0700210$(obj)/qconf.o: $(obj)/.tmp_qtcheck
211
Masahiro Yamada022af622014-08-19 16:34:22 +0900212ifeq ($(MAKECMDGOALS),xconfig)
Roman Zippelb3a52252005-11-21 21:32:38 -0800213$(obj)/.tmp_qtcheck: $(src)/Makefile
Linus Torvalds1da177e2005-04-16 15:20:36 -0700214-include $(obj)/.tmp_qtcheck
215
216# QT needs some extra effort...
217$(obj)/.tmp_qtcheck:
Roman Zippelb3a52252005-11-21 21:32:38 -0800218 @set -e; echo " CHECK qt"; dir=""; pkg=""; \
Alexander Stein133c5f72010-08-31 17:34:37 +0200219 if ! pkg-config --exists QtCore 2> /dev/null; then \
220 echo "* Unable to find the QT4 tool qmake. Trying to use QT3"; \
221 pkg-config --exists qt 2> /dev/null && pkg=qt; \
222 pkg-config --exists qt-mt 2> /dev/null && pkg=qt-mt; \
223 if [ -n "$$pkg" ]; then \
224 cflags="\$$(shell pkg-config $$pkg --cflags)"; \
225 libs="\$$(shell pkg-config $$pkg --libs)"; \
226 moc="\$$(shell pkg-config $$pkg --variable=prefix)/bin/moc"; \
227 dir="$$(pkg-config $$pkg --variable=prefix)"; \
228 else \
229 for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
230 if [ -f $$d/include/qconfig.h ]; then dir=$$d; break; fi; \
231 done; \
232 if [ -z "$$dir" ]; then \
Michal Marek5b580fa2012-07-07 23:32:18 +0200233 echo >&2 "*"; \
234 echo >&2 "* Unable to find any QT installation. Please make sure that"; \
235 echo >&2 "* the QT4 or QT3 development package is correctly installed and"; \
236 echo >&2 "* either qmake can be found or install pkg-config or set"; \
237 echo >&2 "* the QTDIR environment variable to the correct location."; \
238 echo >&2 "*"; \
Alexander Stein133c5f72010-08-31 17:34:37 +0200239 false; \
240 fi; \
241 libpath=$$dir/lib; lib=qt; osdir=""; \
242 $(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
243 osdir=x$$($(HOSTCXX) -print-multi-os-directory); \
244 test -d $$libpath/$$osdir && libpath=$$libpath/$$osdir; \
245 test -f $$libpath/libqt-mt.so && lib=qt-mt; \
246 cflags="-I$$dir/include"; \
247 libs="-L$$libpath -Wl,-rpath,$$libpath -l$$lib"; \
248 moc="$$dir/bin/moc"; \
249 fi; \
250 if [ ! -x $$dir/bin/moc -a -x /usr/bin/moc ]; then \
251 echo "*"; \
252 echo "* Unable to find $$dir/bin/moc, using /usr/bin/moc instead."; \
253 echo "*"; \
254 moc="/usr/bin/moc"; \
255 fi; \
Sam Ravnborgab919c02005-11-06 11:05:21 +0100256 else \
Michal Marek458452f2010-09-13 13:41:31 +0200257 cflags="\$$(shell pkg-config QtCore QtGui Qt3Support --cflags)"; \
258 libs="\$$(shell pkg-config QtCore QtGui Qt3Support --libs)"; \
Yaakov Selkowitz48485942012-07-04 15:23:29 -0500259 moc="\$$(shell pkg-config QtCore --variable=moc_location)"; \
260 [ -n "$$moc" ] || moc="\$$(shell pkg-config QtCore --variable=prefix)/bin/moc"; \
Roman Zippelb3a52252005-11-21 21:32:38 -0800261 fi; \
262 echo "KC_QT_CFLAGS=$$cflags" > $@; \
263 echo "KC_QT_LIBS=$$libs" >> $@; \
264 echo "KC_QT_MOC=$$moc" >> $@
Linus Torvalds1da177e2005-04-16 15:20:36 -0700265endif
266
267$(obj)/gconf.o: $(obj)/.tmp_gtkcheck
268
Masahiro Yamada022af622014-08-19 16:34:22 +0900269ifeq ($(MAKECMDGOALS),gconfig)
Linus Torvalds1da177e2005-04-16 15:20:36 -0700270-include $(obj)/.tmp_gtkcheck
271
272# GTK needs some extra effort, too...
273$(obj)/.tmp_gtkcheck:
Adrian Bunk37193142006-01-02 11:25:30 +0100274 @if `pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0`; then \
275 if `pkg-config --atleast-version=2.0.0 gtk+-2.0`; then \
Linus Torvalds1da177e2005-04-16 15:20:36 -0700276 touch $@; \
277 else \
Michal Marek5b580fa2012-07-07 23:32:18 +0200278 echo >&2 "*"; \
279 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."; \
280 echo >&2 "*"; \
Linus Torvalds1da177e2005-04-16 15:20:36 -0700281 false; \
282 fi \
283 else \
Michal Marek5b580fa2012-07-07 23:32:18 +0200284 echo >&2 "*"; \
285 echo >&2 "* Unable to find the GTK+ installation. Please make sure that"; \
286 echo >&2 "* the GTK+ 2.0 development package is correctly installed..."; \
287 echo >&2 "* You need gtk+-2.0, glib-2.0 and libglade-2.0."; \
288 echo >&2 "*"; \
Linus Torvalds1da177e2005-04-16 15:20:36 -0700289 false; \
290 fi
291endif
292
Arnaud Lacombe2f76b352011-05-23 01:08:19 -0400293$(obj)/zconf.tab.o: $(obj)/zconf.lex.c $(obj)/zconf.hash.c
Linus Torvalds1da177e2005-04-16 15:20:36 -0700294
Arnaud Lacombe5a6f8d22011-06-01 16:14:47 -0400295$(obj)/qconf.o: $(obj)/qconf.moc
Linus Torvalds1da177e2005-04-16 15:20:36 -0700296
Yaakov Selkowitzebca0262012-07-04 18:31:11 -0500297quiet_cmd_moc = MOC $@
298 cmd_moc = $(KC_QT_MOC) -i $< -o $@
299
300$(obj)/%.moc: $(src)/%.h $(obj)/.tmp_qtcheck
301 $(call cmd,moc)
Linus Torvalds1da177e2005-04-16 15:20:36 -0700302
EGRY Gabor46d26312008-01-11 23:46:11 +0100303# Extract gconf menu items for I18N support
304$(obj)/gconf.glade.h: $(obj)/gconf.glade
Peter Foley2d80eb02011-04-26 18:16:53 -0400305 $(Q)intltool-extract --type=gettext/glade --srcdir=$(srctree) \
Peter Foleya24a1b82011-04-26 18:13:05 -0400306 $(obj)/gconf.glade